| The Gaudi Framework v32r1 (f65d50dc)

Classes | Namespaces | Macros | Functions
Time.icpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | backwards_compatibility_hack_time_timespan

## Namespaces
| Gaudi
| Header file for std:chrono::duration-based Counters.

## Macros
#define | GAUDIKERNEL_TIME_ICPP 1

## Functions
std::ostream & | Gaudi::operator<< (std::ostream &out, const Gaudi::Time &time)
| Output operator. More...
std::ostream & | Gaudi::operator<< (std::ostream &out, const Gaudi::TimeSpan &time)
| Output operator. More...
Gaudi::Time | operator+ (const Gaudi::Time &t, const Gaudi::TimeSpan &ts)
Gaudi::Time | operator+ (const Gaudi::TimeSpan &ts, const Gaudi::Time &t)
Gaudi::TimeSpan | operator- (const Gaudi::Time &t1, const Gaudi::Time &t2)
Gaudi::Time | operator- (const Gaudi::Time &t, const Gaudi::TimeSpan &ts)
bool | operator! (const Gaudi::Time &t)
Gaudi::TimeSpan | operator+ (const Gaudi::TimeSpan &ts)
Gaudi::TimeSpan | operator- (const Gaudi::TimeSpan &ts)
bool | operator! (const Gaudi::TimeSpan &ts)
StreamBuffer & | operator<< (StreamBuffer &s, const Gaudi::Time &t)
StreamBuffer & | operator>> (StreamBuffer &s, Gaudi::Time &t)
bool | operator< (backwards_compatibility_hack_time_timespan, backwards_compatibility_hack_time_timespan)

## Macro Definition Documentation

## ◆ GAUDIKERNEL_TIME_ICPP

#define GAUDIKERNEL_TIME_ICPP 1

Definition at line 2 of file Time.icpp.

## Function Documentation

## ◆ operator!() [1/2]

bool operator! | ( | const Gaudi::Time & | t | ) |
| inline

Definition at line 181 of file Time.icpp.

181 { return !t.ns(); }
Gaudi::Time::ns
ValueType ns() const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:28

## ◆ operator!() [2/2]

bool operator! | ( | const Gaudi::TimeSpan & | ts | ) |
| inline

Definition at line 191 of file Time.icpp.

191 { return !ts.ns(); }
compareRootHistos.ts
tuple ts
Definition: compareRootHistos.py:447

## ◆ operator+() [1/3]

Gaudi::Time operator+ | ( | const Gaudi::Time & | t,
|  | const Gaudi::TimeSpan & | ts
| ) |  |
| inline

Definition at line 165 of file Time.icpp.

165 {
166 return Gaudi::Time( t.ns() + ts.ns() );
167 }
compareRootHistos.ts
tuple ts
Definition: compareRootHistos.py:447
Gaudi::Time
Based on seal::Time.
Definition: Time.h:231
Gaudi::Time::ns
ValueType ns() const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:28

## ◆ operator+() [2/3]

Gaudi::Time operator+ | ( | const Gaudi::TimeSpan & | ts,
|  | const Gaudi::Time & | t
| ) |  |
| inline

Definition at line 169 of file Time.icpp.

169 {
170 return Gaudi::Time( t.ns() + ts.ns() );
171 }
compareRootHistos.ts
tuple ts
Definition: compareRootHistos.py:447
Gaudi::Time
Based on seal::Time.
Definition: Time.h:231
Gaudi::Time::ns
ValueType ns() const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:28

## ◆ operator+() [3/3]

Gaudi::TimeSpan operator+ | ( | const Gaudi::TimeSpan & | ts | ) |
| inline

Definition at line 187 of file Time.icpp.

187 { return ts; }
compareRootHistos.ts
tuple ts
Definition: compareRootHistos.py:447

## ◆ operator-() [1/3]

Gaudi::TimeSpan operator- | ( | const Gaudi::Time & | t1,
|  | const Gaudi::Time & | t2
| ) |  |
| inline

Definition at line 173 of file Time.icpp.

173 {
174 return Gaudi::TimeSpan( t1.ns() - t2.ns() );
175 }
Gaudi::Time::ns
ValueType ns() const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:28
Gaudi::TimeSpan
Based on seal::TimeSpan.
Definition: Time.h:52

## ◆ operator-() [2/3]

Gaudi::Time operator- | ( | const Gaudi::Time & | t,
|  | const Gaudi::TimeSpan & | ts
| ) |  |
| inline

Definition at line 177 of file Time.icpp.

177 {
178 return Gaudi::Time( t.ns() - ts.ns() );
179 }
compareRootHistos.ts
tuple ts
Definition: compareRootHistos.py:447
Gaudi::Time
Based on seal::Time.
Definition: Time.h:231
Gaudi::Time::ns
ValueType ns() const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:28

## ◆ operator-() [3/3]

Gaudi::TimeSpan operator- | ( | const Gaudi::TimeSpan & | ts | ) |
| inline

Definition at line 189 of file Time.icpp.

189 { return Gaudi::TimeSpan( -ts.ns() ); }
compareRootHistos.ts
tuple ts
Definition: compareRootHistos.py:447
Gaudi::TimeSpan
Based on seal::TimeSpan.
Definition: Time.h:52

## ◆ operator<()

bool operator< | ( | backwards_compatibility_hack_time_timespan | ,
|  | backwards_compatibility_hack_time_timespan |
| ) |  |
| inline

Definition at line 210 of file Time.icpp.

210 {
211 return false;
212 }

## ◆ operator<<()

StreamBuffer& operator<< | ( | StreamBuffer & | s,
|  | const Gaudi::Time & | t
| ) |  |
| inline

Definition at line 196 of file Time.icpp.

196 { return s << t.ns(); }
Gaudi::Time::ns
ValueType ns() const
Return the time as nanoseconds since 00:00:00 on January 1, 1970 in UTC.
Definition: Time.icpp:28
gaudirun.s
string s
Definition: gaudirun.py:316

## ◆ operator>>()

StreamBuffer& operator>> | ( | StreamBuffer & | s,
|  | Gaudi::Time & | t
| ) |  |
| inline

Definition at line 198 of file Time.icpp.

198 {
199 Gaudi::Time::ValueType tmp;
200 s >> tmp;
201 t = Gaudi::Time( tmp );
202 return s;
203 }
Gaudi::Time
Based on seal::Time.
Definition: Time.h:231
gaudirun.s
string s
Definition: gaudirun.py:316
Gaudi::Time::ValueType
long long ValueType
Definition: Time.h:235